<form class='{{cssClass}}' autocomplete='off'>
  {{! Item Sheet Header }}
  <header class="dsa-item-header" data-item-id="{{item.id}}">
    <img class="dsa-item-header-icon" src="{{item.img}}" title="{{item.name}}" data-edit="img" />

    <h1 class="dsa-item-header-input">
      <input name="name" type="text" value="{{item.name}}" placeholder="{{ localize 'DSA.Name' }}" />
    </h1>
    <div class="dsa-item-header-controls">
      <a class="item-control item-delete" title="{{localize 'DSA.Del'}}"><i
        class="fas fa-trash fa-2x"></i></a>
    </div>
  </header>

  <div class='flexrow talent-attributes-list'>
    <div class='attribute' data-attribute='roll'>
      <div class='attribute-label'>{{localize 'DSA.roll'}}</div>
      {{#each data.system.test as |roll_attr roll_id|}}
        <div class='flexrow'>
          <select name='system.test.{{roll_id}}'>
            {{#select roll_attr}}
              {{#each ../attributes as |attr id|}}
                <option value='{{attr.value}}'>{{attr.label}}</option>
              {{/each}}
            {{/select}}
          </select>
        </div>
      {{/each}}
    </div>
    <div class='attribute' data-attribute='value'>
      <div class='attribute-label'>{{localize 'DSA.value'}}</div>
      <div class='flexrow'>
        <input
          name='system.value'
          type='number'
          data-dtype='Number'
          value='{{data.system.value}}'
          placeholder='{{localize "DSA.value"}}'
        />
      </div>
    </div>
    <div class='attribute' data-attribute='type'>
      <div class='attribute-label'>{{localize 'DSA.type'}}</div>
      <div class='flexrow'>
        <select name='system.type'>
          {{#select data.system.type}}
            {{#each talentTypes as |type id|}}
              <option value='{{type.value}}'>{{type.label}}</option>
            {{/each}}
          {{/select}}
        </select>
      </div>
    </div>
    <div class='attribute' data-attribute='category'>
      <div class='attribute-label'>{{localize 'DSA.category'}}</div>
      <div class='flexrow'>
        <select name='system.category'>
          {{#select data.system.category}}
            {{#each talentCategories as |category id|}}
              <option value='{{category.value}}'>{{category.label}}</option>
            {{/each}}
          {{/select}}
        </select>
      </div>
    </div>
    <div class='attribute' data-attribute='effectiveEncumbarance'>
      <div class='attribute-label'>{{localize
          'DSA.effectiveEncumbarance'
        }}</div>
      <div class='flexrow'>
        <div class='effectiveEncumbarance-type'>
          {{localize 'DSA.type'}}
          <select name='system.effectiveEncumbarance.type'>
            {{#select data.system.effectiveEncumbarance.type}}
              {{#each data.effectiveEncumbaranceTypes as |type id|}}
                <option value='{{type.value}}'>{{type.label}}</option>
              {{/each}}
            {{/select}}
          </select>
        </div>
        <div class='effectiveEncumbarance-formula'>
          {{localize 'DSA.formula'}}
          <input
            name='system.effectiveEncumbarance.formula'
            type='text'
            data-dtype='String'
            value='{{data.system.effectiveEncumbarance.formula}}'
            placeholder='{{localize "DSA.value"}}'
          />
        </div>
      </div>
    </div>
    <div class='attribute' data-attribute='description'>
      <div class='attribute-label'>{{localize 'DSA.description'}}</div>
      <div class='flexrow'>
        <textarea
          name='system.description'
          data-dtype='String'
        >{{data.system.description}}</textarea>
      </div>
    </div>
  </div>
</form>